### Constructor

# Json Generator new

#### Declaration [src]

    JsonGenerator*
    json_generator_new (
      void
    )

#### Description [src]

Creates a new `JsonGenerator`.

You can use this object to generate a JSON data stream starting from a data object model composed by `JsonNode`s.

#### Return value

Type: `JsonGenerator`

The newly created generator instance.

The caller of the function takes ownership of the data, and is responsible for freeing it.